<template>
  <div class="wallet-main-screen container">
    <div class="wallet-main-screen__content">
      <h1 class="wallet-main-screen__title base-title">
        {{ $t('title') }}
      </h1>
      <h2 class="wallet-main-screen__description">
        {{ $t('subtitle') }}
      </h2>
      <a
        v-show="os === 'Mac OS' || os === 'iOS'"
        href="https://apps.apple.com/us/app/tbcc/id1592692399"
        target="_blank"
      >
        <base-button shaded>{{ $t('appBtn') }}</base-button>
      </a>
      <a
        v-show="os !== 'Mac OS' && os !== 'iOS'"
        href="https://play.google.com/store/apps/details?id=com.cloud.tbcc.app&hl=ru&gl=US"
        target="_blank"
      >
        <base-button shaded>{{ $t('appBtn') }}</base-button>
      </a>
    </div>
    <div class="wallet-main-screen__img-wrap">
      <picture>
        <source
          media="(min-width: 1024px)"
          srcset="../../assets/img/wallet-main-screen@2x.png"
        />
        <img
          src="../../assets/img/wallet-main-screen-mb@2x.png"
          class="wallet-main-screen__img"
          width="338"
          height="332"
          alt="wallet"
        />
      </picture>
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  data() {
    return {
      os: '',
    }
  },

  mounted() {
    function getOS() {
      const userAgent = window.navigator.userAgent
      const platform = window.navigator.platform
      const macosPlatforms = [
        'Macintosh',
        'MacIntel',
        'MacPPC',
        'Mac68K',
        'darwin',
      ]
      const windowsPlatforms = ['Win32', 'Win64', 'Windows', 'WinCE']
      const iosPlatforms = ['iPhone', 'iPad', 'iPod']
      let os = null

      if (macosPlatforms.includes(platform)) {
        os = 'Mac OS'
      } else if (iosPlatforms.includes(platform)) {
        os = 'iOS'
      } else if (windowsPlatforms.includes(platform)) {
        os = 'Windows'
      } else if (/Android/.test(userAgent)) {
        os = 'Android'
      } else if (!os && /Linux/.test(platform)) {
        os = 'Linux'
      }

      return os
    }

    this.os = getOS()
  },
}
</script>

<i18n>
{
  "en": {
    "title": "Best Crypto Tools in one App",
    "subtitle": "All-in-one solution for safe and easy buying, staking, trading & profiting.",
    "appBtn": "Get App"
  },
  "ch": {
    "title": "最好的加密货币工具在一个应用程序中",
    "subtitle": "一体化的解决方案，安全而方便地购买、权益质押、交易和获利。",
    "appBtn": "获取应用程序"
  },
  "tur": {
    "title": "Best Crypto Tools in one App",
    "subtitle": "All-in-one solution for safe and easy buying, staking, trading & profiting.",
    "appBtn": "Get App"
  }
}
</i18n>

<style lang="scss" scoped>
.wallet-main-screen {
  display: flex;
  align-items: center;
  position: relative;
  padding-top: 50px;
  padding-bottom: 60px;

  @media (max-width: 1023px) {
    padding-top: 0;
  }

  br {
    display: none;
  }

  @media (max-width: 1023px) {
    br {
      display: block;
    }
  }

  @media (max-width: 767px) {
    flex-direction: column;
    padding-bottom: 55px;
  }

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1618px;
      height: 540px;
      background-image: url('../../assets/img/bg-wallet-star.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: 1618px 540px;
      top: 0;
      right: -300px;
      position: absolute;
      pointer-events: none;
      overflow: visible;
    }
  }

  &__content,
  &__img-wrap {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }

  &__content {
    @media (max-width: 767px) {
      order: 1;
      display: flex;
      flex-direction: column;
      align-items: center;

      button {
        width: 100%;
        justify-content: center;
      }
    }
  }

  &__title {
    font-weight: 700;
    font-size: 36px;
    line-height: 45px;
    margin: 0 0 20px;
    max-width: 300px;

    @media (max-width: 767px) {
      text-align: center;
    }

    @media (min-width: 768px) {
      margin: 0 0 30px;
    }

    @media (min-width: 1024px) {
      font-size: 50px;
      line-height: 54px;
      max-width: 370px;
    }

    @media (min-width: 1200px) {
      font-size: 60px;
      line-height: 74px;
      margin: 0 0 45px;
      max-width: 450px;
    }
  }

  &__description {
    font-weight: 300;
    font-size: 18px;
    line-height: 125%;
    color: #ced7e7;
    margin: 0 0 35px;
    max-width: 450px;

    @media (max-width: 767px) {
      text-align: center;
      max-width: 290px;
    }

    @media (min-width: 1200px) {
      font-size: 20px;
      line-height: 28px;
    }
  }

  &__img {
    width: 338px;
    height: 332px;
    object-fit: contain;

    @media (min-width: 768px) {
      width: 100%;
      height: 100%;
      max-width: 665px;
      max-height: 532px;
    }

    @media (min-width: 1200px) {
      width: 665px;
      height: 532px;
    }
  }

  button {
    @media (max-width: 767px) {
      min-height: 56px;
    }
  }
}
</style>
